LIBKECCAK_HMAC_INITIALISE(3)

NAME
libkeccak_hmac_initialise - Initialise HMAC-hashing state

SYNOPSIS
#include <libkeccak.h>
int libkeccak_hmac_initialise(struct libkeccak_hmac_state *state, const struct libkeccak_spec *spec,
                              const void *key, size_t key_length);

Link with -lkeccak.

DESCRIPTION
The libkeccak_hmac_initialise() function initialises *state and sets the algorithm tuning parameters to those specified by *spec, and the key to key of length key_length.

RETURN VALUES
The libkeccak_hmac_initialise() function returns 0 upon successful completion. On error, -1 is returned and errno is set to describe the error.

ERRORS
The libkeccak_hmac_initialise() function may fail for any specified for the functions malloc(3) and realloc(3).

SEE ALSO
libkeccak_hmac_create(3), libkeccak_hmac_destroy(3), libkeccak_hmac_fast_destroy(3), libkeccak_hmac_copy(3), libkeccak_spec_cshake(3), libkeccak_spec_sha3(3), libkeccak_spec_shake(3), libkeccak_spec_rawshake(3), libkeccak_spec_check(3), libkeccak_generalised_spec_initialise(3), libkeccak_state_initialise(3)